Subject: Re: [bug#47994] [PATCH] services: kmscon: Add xkb-layout and xkb-options fields.

From: Maxime Devos <[email-masked]>
Date: Sun, 25 Apr 2021 11:12:10 +0200

luhui schreef op za 24-04-2021 om 13:37 [+0800]:

> @item @code{xkb-layout} (default: @code{#f})
> Keyboard layout used in Kmscon.

What is the default here, is this a package object, a file-like object,
a string, where can I find a list of keyboard layouts ... please document!

> @item @code{xkb-options} (default: @code{#f})
> Keyboard layout options used in Kmscon.

What are the possible options, is this a list, a string, a list of strings, ...
please document!

> Signed-off-by: luhui <[email-masked]>

Guix uses Signed-off-by differently from LKML.  IIUC, Signed-off-by is used when committing
on behalf of someone else, and is added by the committer.  The line would be something like

  Signed-off-by: Some Guix Committer <[email-masked]>

As you added a few things to doc/guix.texi and gnu/services/base.scm, you
can add a copyright line there.

Otherwise, I don't see any obvious problems, but I haven't tested.

Greetings,
Maxime.